FIX::InvalidTagNumber Struct Reference

Tag number does not exist in specification. More...

`#include <Exceptions.h>`

Inheritance diagram for FIX::InvalidTagNumber:
[legend]
Collaboration diagram for FIX::InvalidTagNumber:
[legend]

## Public Member Functions

| InvalidTagNumber (int f=0, const std::string &what="")
Public Member Functions inherited from FIX::Exception
| Exception (const std::string &t, const std::string &d)
| ~Exception () throw ()

## Public Attributes

int | field
Public Attributes inherited from FIX::Exception
std::string | type
std::string | detail

## Detailed Description

Tag number does not exist in specification.

Definition at line 118 of file Exceptions.h.

## Constructor & Destructor Documentation

## InvalidTagNumber()

FIX::InvalidTagNumber::InvalidTagNumber | ( | int | f = `0`,
|  | const std::string & | what = `""`
| ) |  |

inline

Definition at line 120 of file Exceptions.h.

{
TagNotDefinedForMessage( int f = 0, const std::string& what = "" )
: Exception( "Tag not defined for this message type", what ),

References FIX::Exception::Exception(), and FIX::TagNotDefinedForMessage::TagNotDefinedForMessage().

Referenced by FIX::InvalidMessage::InvalidMessage().

## Member Data Documentation

## field

int FIX::InvalidTagNumber::field

Definition at line 123 of file Exceptions.h.

The documentation for this struct was generated from the following file:

- Exceptions.h

FIX::Exception::Exception
Exception(const std::string &t, const std::string &d)
Definition: Exceptions.h:69